Bug 196513 - qt4: include debug libraries
qt4: include debug libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-23 17:04 EDT by Michael Möllney
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 09:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Möllney 2006-06-23 17:04:55 EDT
Description of problem:
qt4 packages are missing the debug versions of the librariesm e.g.:
libQtGui_debug.so.4.1.3

Version-Release number of selected component (if applicable):


How reproducible:
In the qt .pro file set
CONFIG += DEBUG


Steps to Reproduce:
1. Edit qt .pro file to have a debugging project by inserting: CONFIG += DEBUG
2. qmake the .pro file
3. gmake
  
Actual results:
can not link executable because of missing debug libraries

Expected results:
should find the debugging libraries to let developer debug QT programms easily

Additional info:
Comment 1 Rex Dieter 2006-06-23 18:28:41 EDT
Working on it... 

These will either be packaged separately into a qt4-debug rpm or be included in
qt4-devel, haven't made up my mind which yet.  Opinions?

I think most other distros that I've looked at so far (Mandriva, SuSE) pkg these
separately.
Comment 2 Michael Möllney 2006-06-23 19:47:49 EDT
(In reply to comment #1)
> Working on it... 

:-)

> 
> These will either be packaged separately into a qt4-debug rpm or be included in
> qt4-devel, haven't made up my mind which yet.  Opinions?
> 
> I think most other distros that I've looked at so far (Mandriva, SuSE) pkg these
> separately.

I'm not so familiar with QT under Linux but as far as I see, the
CONFIG += debug
in the .pro file along with qmake triggers if I want to debug my _whole_
project, not just the qt libraries.

For my side developing software means alot debugging.
So I would expect to have the debug libraries in the devel part.

I think the case is rare where you just want to have the include files of qt to
develop something using qt but don't want to use qmake.

Kind regardsm
Michael
Comment 3 Rex Dieter 2006-06-27 12:09:14 EDT
OK, I think I've got qt4-debug implemented, and qt4-devel will
Requires: qt4-debug
so the default devel environment will include them.

Coming soon.
Comment 4 Rex Dieter 2006-06-27 14:58:53 EDT
build pushed to fc6/devel.  I'll wait 1-2 days before following-up with
FC-4/FC-5 builds.

* Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-2
- -devel: include -debug libs (bug #196513)
- -devel: move libQtDesigner here
- -config: mash into main pkg, should be multilib friendly now
Comment 5 Rex Dieter 2006-06-27 16:12:12 EDT
Does
CONFIG += debug
get you anything more than simply building with compiler flag: -g
?
Comment 6 Rex Dieter 2006-06-27 16:19:40 EDT
If it's only adding -g, then there's not much point, as the default CFLAGS
already include -g (as well as -O2 ...)
Comment 7 Michael Möllney 2006-06-27 18:02:38 EDT
(In reply to comment #5)
> Does
> CONFIG += debug
> get you anything more than simply building with compiler flag: -g
> ?

Well... maybe have a look in (qt) assistant -> search -> search for : "debug
release"
Your .pro files can create quite different Makefiles depending of if you use
debug or release.

Look at found entry: QT4.1: qmake Advanced Usage ....
...
Scopes can be nested to combine more than one condition. For instance, if you
want to include a particular file for a certain platform only if debugging is
enabled then you write the following:
    macx {
        debug {
            HEADERS += debugging.h
        }
    }
...
Comment 8 Rex Dieter 2006-06-28 09:45:48 EDT
%changelog
* Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-3
- -debug: drop, adds nothing over -debuginfo, make lib..._debug
  symlinks instead (bug #196513)
- assistant.desktop: fix tooltip (bug #197039)

OK, this should do the trick.  If you have any problems using any of the DEBUG
features, please reopen and report back here.

Note You need to log in before you can comment on or make changes to this bug.